Name:           libaudec
Version:        0.2.2
Release:        1%{?dist}
Summary:        A library for reading and resampling audio files

License:        AGPLv3+
URL:            https://git.zrythm.org/cgit/libaudec
Source0:        https://git.zrythm.org/cgit/libaudec/snapshot/libaudec-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
#Requires:       

%description
libaudec (lib audio decoder) is a wrapper library over ffmpeg, sndfile and
libsamplerate for reading and resampling audio files, based on Robin Gareus
audio_decoder code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%check
%meson_test

%files
%license COPYING
%doc README.md
%{_bindir}/audec

%files devel
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jun  8 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> 0.2.2-1
- Initial build
